Call
Delete Calls
Deletes one or more calls
DELETE
/
v2
/
Call
Delete Calls
curl --request DELETE \
--url https://api.nlpearl.ai/v2/Call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callIds": [
"<string>"
],
"purgeOption": {
"transcript": true,
"recording": true,
"summary": true,
"variables": true
}
}
'import requests
url = "https://api.nlpearl.ai/v2/Call"
payload = {
"callIds": ["<string>"],
"purgeOption": {
"transcript": True,
"recording": True,
"summary": True,
"variables": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callIds: ['<string>'],
purgeOption: {transcript: true, recording: true, summary: true, variables: true}
})
};
fetch('https://api.nlpearl.ai/v2/Call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
Specify the authorization token.
For more information, check out the Authorization Guide.
Body
application/jsontext/jsonapplication/*+json
Represents the request object used to delete one or more calls.
The list of unique identifiers of the calls to delete.
Optional. Determines how much of each call is removed. When provided, the calls are kept and only the parts flagged true are stripped (transcript, recording, summary, variables). When omitted, each call is fully deleted: every part is purged, the recording is removed, and the call is marked as deleted.
Show child attributes
Show child attributes
Response
Returns a boolean indicating if the deletion was successful.
The response is of type boolean.
⌘I
Delete Calls

